org.apache.cassandra.index.sasi.analyzer

## Class StandardTokenizerOptions

- java.lang.Object
- - org.apache.cassandra.index.sasi.analyzer.StandardTokenizerOptions

    public class StandardTokenizerOptions
    extends java.lang.Object

Various options for controlling tokenization and enabling or disabling features

### Nested Class Summary

Nested Classes
`static class` `StandardTokenizerOptions.OptionsBuilder`

### Field Summary

Fields
`static int` `DEFAULT_MAX_TOKEN_LENGTH`
`static int` `DEFAULT_MIN_TOKEN_LENGTH`
`static java.lang.String` `TOKENIZATION_ENABLE_STEMMING`
`static java.lang.String` `TOKENIZATION_LOCALE`
`static java.lang.String` `TOKENIZATION_NORMALIZE_LOWERCASE`
`static java.lang.String` `TOKENIZATION_NORMALIZE_UPPERCASE`
`static java.lang.String` `TOKENIZATION_SKIP_STOP_WORDS`

### Constructor Summary

Constructors
Constructor and Description
`StandardTokenizerOptions()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static StandardTokenizerOptions` `buildFromMap(java.util.Map<java.lang.String,java.lang.String> optionsMap)`
`static StandardTokenizerOptions` `getDefaultOptions()`
`java.util.Locale` `getLocale()`
`int` `getMaxTokenLength()`
`int` `getMinTokenLength()`
`boolean` `isCaseSensitive()`
`void` `setAllTermsToLowerCase(boolean allTermsToLowerCase)`
`void` `setAllTermsToUpperCase(boolean allTermsToUpperCase)`
`void` `setCaseSensitive(boolean caseSensitive)`
`void` `setIgnoreStopTerms(boolean ignoreStopTerms)`
`void` `setLocale(java.util.Locale locale)`
`void` `setMaxTokenLength(int maxTokenLength)`
`void` `setMinTokenLength(int minTokenLength)`
`void` `setStemTerms(boolean stemTerms)`
`boolean` `shouldIgnoreStopTerms()`
`boolean` `shouldLowerCaseTerms()`
`boolean` `shouldStemTerms()`
`boolean` `shouldUpperCaseTerms()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TOKENIZATION_ENABLE_STEMMING

    public static final java.lang.String TOKENIZATION_ENABLE_STEMMING

See Also:
  Constant Field Values

#### TOKENIZATION_SKIP_STOP_WORDS

    public static final java.lang.String TOKENIZATION_SKIP_STOP_WORDS

See Also:
  Constant Field Values

#### TOKENIZATION_LOCALE

    public static final java.lang.String TOKENIZATION_LOCALE

See Also:
  Constant Field Values

#### TOKENIZATION_NORMALIZE_LOWERCASE

    public static final java.lang.String TOKENIZATION_NORMALIZE_LOWERCASE

See Also:
  Constant Field Values

#### TOKENIZATION_NORMALIZE_UPPERCASE

    public static final java.lang.String TOKENIZATION_NORMALIZE_UPPERCASE

See Also:
  Constant Field Values

#### DEFAULT_MAX_TOKEN_LENGTH

    public static final int DEFAULT_MAX_TOKEN_LENGTH

See Also:
  Constant Field Values

#### DEFAULT_MIN_TOKEN_LENGTH

    public static final int DEFAULT_MIN_TOKEN_LENGTH

See Also:
  Constant Field Values

### Constructor Detail

#### StandardTokenizerOptions

    public StandardTokenizerOptions()

### Method Detail

#### shouldStemTerms

    public boolean shouldStemTerms()

#### setStemTerms

    public void setStemTerms(boolean stemTerms)

#### shouldIgnoreStopTerms

    public boolean shouldIgnoreStopTerms()

#### setIgnoreStopTerms

    public void setIgnoreStopTerms(boolean ignoreStopTerms)

#### getLocale

    public java.util.Locale getLocale()

#### setLocale

    public void setLocale(java.util.Locale locale)

#### isCaseSensitive

    public boolean isCaseSensitive()

#### setCaseSensitive

    public void setCaseSensitive(boolean caseSensitive)

#### shouldUpperCaseTerms

    public boolean shouldUpperCaseTerms()

#### setAllTermsToUpperCase

    public void setAllTermsToUpperCase(boolean allTermsToUpperCase)

#### shouldLowerCaseTerms

    public boolean shouldLowerCaseTerms()

#### setAllTermsToLowerCase

    public void setAllTermsToLowerCase(boolean allTermsToLowerCase)

#### getMinTokenLength

    public int getMinTokenLength()

#### setMinTokenLength

    public void setMinTokenLength(int minTokenLength)

#### getMaxTokenLength

    public int getMaxTokenLength()

#### setMaxTokenLength

    public void setMaxTokenLength(int maxTokenLength)

#### buildFromMap

    public static StandardTokenizerOptions buildFromMap(java.util.Map<java.lang.String,java.lang.String> optionsMap)

#### getDefaultOptions

    public static StandardTokenizerOptions getDefaultOptions()